Log a funding transaction

This request logs a funding transaction on a line of credit account.

   Click here to learn more about this request

Funding transactions are used to send funds to a borrower's Payment Profile. This request is used specifically to fund a borrower who has a line of credit account; however, loan accounts can be funded as well.

Note the following when logging funding transactions:

Funding transactions are processed via an interaction between LoanPro, Secure Payments, and an integrated payment processor. This request sends transaction information to Secure Payments, which communicates with the selected processor. If a transaction is submitted successfully, the status of the transaction is set as "Pending". The status of the transaction will be automatically updated in LoanPro once the transaction is complete.

This request uses Merchant Processor Groups to select a payment processor. If Merchant Processor Groups are not configured in your environment or if your prefer to use the default processor, leave the merchantProcessorGroupId field blank.

Funding requests can be "logged only" if preferred. A "logged only" transaction will not move funds between financial institutions, but it will be added to the funding history of the line of credit account. View the payload examples below to learn how to log a funding transaction without moving funds.

For more information, see our Enhanced Funding article.

Database

For information regarding line of credit funding transactions database tables, see the following articles:

{
  "lineOfCreditId": 931,
  "customerId": 16585,
  "categoryId": 1,
  "paymentAccountId": 616,
  "merchantProcessorGroupId": 8,
  "date": "2024-06-24",
  "amount": 20,
  "method": "lineOfCredit.funding.method.bankAccountAchDeposit",
  "authorizationType": "lineOfCredit.funding.auth.individualSignature",
  "metadata": {
   	"keyValue": "NewValue"
   }
}
{
   "lineOfCreditId": 931,
   "customerId": 16585,
   "categoryId": 1,
   "date": "2024-06-24",
   "amount": 20,
   "method": "lineOfCredit.funding.method.other",
   "authorizationType": "lineOfCredit.funding.auth.individualSignature",
   "metadata": {
   		"keyValue": "NewValue"
   }
}
Body Params
int32
required

The ID of the line of credit account on which the funding transaction is being made.

int32
required

The ID of the customer receiving the funds.

int32
required

The ID of the category in which the transaction will be placed.
> These IDs can be found in the UI by navigating to Settings > Loan > Labeling > Funding Categories.

int32
required

The Payment Profile that will receive the funds.
> Payment profile IDs can be found within the customer's profile.
> This field is not required when the method field is set to "other".

int32
required

The ID of the Merchant Processor Group used to process the transaction.
> These IDs can be found in the UI by navigating to Settings > Merchant > Merchant Processor Groups.
> This field is not required when the method field is set to "other".
> If a Merchant Processor Group is not configured, leave this field blank—your default processor will be used instead.

date

The date on which the transaction will be made.
> Formatted as YYYY-MM-DD
> If left blank, this will default to the current date.

float
required

The dollar amount of the transaction.

string
enum
required

The method of the funding transaction. The selection for this field should correspond to the type of payment profile receiving the funds.
> If the customer's payment profile type does not correspond to the selection here, the request will result in an error.
> If other is selected, the transaction will be logged only and funds will not move between financial institutions.

Allowed:
string
enum

The signature type used to authorize the transaction.
> This field is required if methodis set to bankAccountAchDeposit.

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json